server.port=8080

spring.application.name=gateway

spring.cloud.gateway.routes[0].id=path_suser
spring.cloud.gateway.routes[0].uri=lb://suser
spring.cloud.gateway.routes[0].predicates[0]=Path=/suser/**
spring.cloud.gateway.routes[0].filters[0]=RewritePath=/suser/(?<segment>.*), /$\{segment}
spring.cloud.gateway.routes[0].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[0].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[0].filters[1].args.fallbackUri=forward:/fallback

spring.cloud.gateway.routes[1].id=path_sclass
spring.cloud.gateway.routes[1].uri=lb://sclass
spring.cloud.gateway.routes[1].predicates[0]=Path=/sclass/**
spring.cloud.gateway.routes[1].filters[0]=RewritePath=/sclass/(?<segment>.*), /$\{segment}
spring.cloud.gateway.routes[1].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[1].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[1].filters[1].args.fallbackUri=forward:/fallback

spring.cloud.gateway.routes[2].id=path_slive
spring.cloud.gateway.routes[2].uri=lb://slive
spring.cloud.gateway.routes[2].predicates[0]=Path=/slive/**
spring.cloud.gateway.routes[2].filters[0]=RewritePath=/slive/(?<segment>.*),/$\{segment}
spring.cloud.gateway.routes[2].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[2].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[2].filters[1].args.fallbackUri=forward:/fallback

spring.cloud.gateway.routes[3].id=path_sstudy
spring.cloud.gateway.routes[3].uri=lb://sstudy
spring.cloud.gateway.routes[3].predicates[0]=Path=/sstudy/**
spring.cloud.gateway.routes[3].filters[0]=RewritePath=/sstudy/(?<segment>.*), /$\{segment}
spring.cloud.gateway.routes[3].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[3].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[3].filters[1].args.fallbackUri=forward:/fallback

spring.cloud.gateway.routes[4].id=path_sapi
spring.cloud.gateway.routes[4].uri=lb://sapi
spring.cloud.gateway.routes[4].predicates[0]=Path=/sapi/**
spring.cloud.gateway.routes[4].filters[0]=RewritePath=/sapi/(?<segment>.*), /$\{segment}

spring.cloud.gateway.routes[5].id=path_sexam
spring.cloud.gateway.routes[5].uri=lb://sexam
spring.cloud.gateway.routes[5].predicates[0]=Path=/sexam/**
spring.cloud.gateway.routes[5].filters[0]=RewritePath=/sexam/(?<segment>.*), /$\{segment}
spring.cloud.gateway.routes[5].filters[1].name=CircuitBreaker
spring.cloud.gateway.routes[5].filters[1].args.name=fallbackcmd
spring.cloud.gateway.routes[5].filters[1].args.fallbackUri=forward:/fallback

eureka.client.service-url.defaultZone=http://localhost:8081/eureka/
#设置eureka输出日志级别
logging.level.com.netflix=error
